> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lead.bank/llms.txt
> Use this file to discover all available pages before exploring further.

# Simulate Incoming Wire

> Simulate an incoming Wire.



## OpenAPI

````yaml POST /v1/simulate/wires/incoming
openapi: 3.0.1
info:
  title: Lead Bank
  description: Lead Bank's APIs
  version: v1.0
servers:
  - url: https://api.sandbox.lead.bank
  - url: https://api.lead.bank
security:
  - bearerAuth: []
tags:
  - name: ACH
  - name: Account Number
  - name: OAuth
  - name: Events
  - name: Instant Payments
  - name: Lending
  - name: Simulation
  - name: Internal Transfer
  - name: Disbursement
  - name: Entity
  - name: Wire
  - name: Originator
  - name: Funding
  - name: Balances
  - name: Compliance
  - name: UserAccount
  - name: Blockchain Payment
paths:
  /v1/simulate/wires/incoming:
    post:
      tags:
        - Simulation
      summary: Simulate Incoming Wire
      description: Simulate an incoming Wire.
      operationId: simulate-incoming-wire
      parameters:
        - name: Idempotency-Key
          in: header
          description: Idempotency key
          required: true
          schema:
            type: string
            maxLength: 255
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SimulateIncomingWireRequest'
      responses:
        '200':
          description: Incoming Wire object created.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SimulateResponse'
        '400':
          description: Your request parameters did not validate.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
        '422':
          description: >-
            We couldn't parse your request body, please check that your request
            body is valid JSON.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
components:
  schemas:
    SimulateIncomingWireRequest:
      type: object
      description: Request body to simulate an incoming wire.
      required:
        - amount
        - creditor_account_number_id
        - debtor
        - debtor_agent
      properties:
        amount:
          $ref: '#/components/schemas/WireAmount'
        creditor_account_number_id:
          $ref: '#/components/schemas/AccountNumberID'
          description: The ID of the creditor account number associated with the wire.
        debtor:
          $ref: '#/components/schemas/SimulateWireDebtorRequest'
          description: Details of the debtor sending funds.
        remittance_details:
          type: object
          description: Details of the remittance information for the wire.
          properties:
            message_to_creditor:
              type: string
              description: Information intended specifically for the creditor.
              example: Payment for invoice 12345
              maxLength: 140
              pattern: ^[ \w/\-\?:\(\)\.,'\+!@#$%^&\*=`\{\|\}~";<>\[\\\]]*$
        payment_identifiers:
          type: object
          description: Payment identifiers for the wire.
          properties:
            end_to_end_identification:
              type: string
              description: >-
                Unique identification that the initiating party in a wire
                message can use to unambiguously identify the transaction. This
                is passed through, unchanged, throughout the entire wire chain.
              maxLength: 35
              pattern: ^[ \w/\-\?:\(\)\.,'\+!@#$%^&\*=`\{\|\}~";<>\[\\\]]*$
              example: EndtoEnd12345
        debtor_agent:
          $ref: '#/components/schemas/DebtorAgent'
          description: Debtor Agent financial institution details.
    SimulateResponse:
      type: object
    APIError:
      type: object
      properties:
        code:
          type: string
          description: The error code.
        title:
          type: string
          description: The error title.
        detail:
          type: string
          description: A detailed error description.
        status:
          type: string
          description: The HTTP status code.
        invalid_parameters:
          type: array
          description: Invalid request parameters with reasons, if applicable.
          items:
            $ref: '#/components/schemas/InvalidParameterDetail'
        instance:
          type: string
          description: >-
            The object causing this specific occurrence of the error, if
            applicable.
    WireAmount:
      description: The amount of the wire transaction in cents.
      type: integer
      format: int64
      example: 5000
      minimum: 1
      maximum: 990000000000
    AccountNumberID:
      type: string
      description: The ID of the Lead Bank Account Number object.
      example: account_number_xyz123
      pattern: ^account_number_\w+$
    SimulateWireDebtorRequest:
      type: object
      description: The person or entity sending the wire.
      required:
        - name
        - account_identifier
        - address
      properties:
        name:
          type: string
          description: Name of the person or entity sending the wire.
          minLength: 3
          maxLength: 35
          pattern: >-
            ^[
            \w/\-\?:\(\)\.,'\+!@#$%^&\*=`\{\|\}~";<>\[\\\]]*[\w/\-\?:\(\)\.,'\+!@#$%^&\*=`\{\|\}~";<>\[\\\]][
            \w/\-\?:\(\)\.,'\+!@#$%^&\*=`\{\|\}~";<>\[\\\]]*$
          example: Allan Scott
        account_identifier:
          type: object
          description: Account identifier of the debtor.
          required:
            - type
            - value
          properties:
            type:
              type: string
              description: Indicator for the type of account identifier sending the wire.
              enum:
                - account_number
              example: account_number
            value:
              type: string
              description: >-
                The value associated with the account identifier sending the
                wire.
              minLength: 1
              maxLength: 17
              pattern: ^[a-zA-Z0-9 ]*[a-zA-Z0-9]+$
              example: '1032345678'
        address:
          $ref: '#/components/schemas/WirePostalAddress'
          description: Address of the debtor.
          required:
            - line_one
    DebtorAgent:
      type: object
      description: Details of the debtor agent financial institution.
      properties:
        routing_number:
          type: string
          description: >-
            Nine-character numeric ABA routing number for the debtor agent
            financial institution.
          minLength: 9
          maxLength: 9
          pattern: ^[0-9]+$
          example: '021000021'
    InvalidParameterDetail:
      type: object
      properties:
        parameter:
          type: string
          description: Which parameter is invalid.
          example: transaction_type
        reason:
          type: string
          description: Why the parameter is invalid.
    WirePostalAddress:
      type: object
      properties:
        department:
          type: string
          description: Identification of a division of a large organization or building.
          example: Procurement Department
        sub_department:
          type: string
          description: >-
            Identification of a sub-division of a large organization or
            building.
          example: IT Procurement
        street_name:
          type: string
          description: Name of a street or thoroughfare.
          example: Main Street
        building_number:
          type: string
          description: Number that identifies the position of a building on a street.
          example: '100'
        building_name:
          type: string
          description: Name of the building or house.
          example: City Hall
        floor:
          type: string
          description: Floor or storey within a building.
          example: 4th Floor
        post_box:
          type: string
          description: >-
            Numbered box in a post office, assigned to a person or organisation,
            where letters are kept until called for.
          example: PO Box 12345
        room:
          type: string
          description: Building room number.
          example: '600'
        post_code:
          type: string
          description: >-
            Identifier consisting of a group of letters and/or numbers that is
            added to a postal address to assist the sorting of mail.
          example: '12345'
        town_name:
          type: string
          description: >-
            Name of a built-up area, with defined boundaries, and a local
            government.
          example: Kansas City
        town_location_name:
          type: string
          description: >-
            Specific location name within the town. Note that this field is not
            commonly used for US-based addresses.
          example: Westside North
        district_name:
          type: string
          description: >-
            Identifies a subdivision within a country sub-division. Note that
            this field is not commonly used for US-based addresses.
          example: Manhattan
        country_sub_division:
          type: string
          description: Identifies a subdivision of a country such as state, region, county.
          example: NY
        country:
          type: string
          description: >-
            ISO 3166, alpha-2 code representing a nation with its own
            government.
          example: US
          pattern: '[A-Z]{2,2}'
        line_one:
          type: string
          description: Line one address of the party represented in an unstructured format.
          minLength: 1
          maxLength: 35
          pattern: >-
            ^[
            \w/\-\?:\(\)\.,'\+!@#$%^&\*=`\{\|\}~";<>\[\\\]]*[\w/\-\?:\(\)\.,'\+!@#$%^&\*=`\{\|\}~";<>\[\\\]][
            \w/\-\?:\(\)\.,'\+!@#$%^&\*=`\{\|\}~";<>\[\\\]]*$
          example: 123 Main St
        line_two:
          type: string
          description: Line two address of the party represented in an unstructured format.
          maxLength: 35
          pattern: ^[ \w/\-\?:\(\)\.,'\+!@#$%^&\*=`\{\|\}~";<>\[\\\]]*$
          example: Suite 100
        line_three:
          type: string
          description: >-
            Line three address of the party represented in an unstructured
            format.
          maxLength: 35
          pattern: ^[ \w/\-\?:\(\)\.,'\+!@#$%^&\*=`\{\|\}~";<>\[\\\]]*$
          example: Kansas City, MO 64105
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````